Overview
POST
/integration/integration-calendar-eventsintegrationCreate integration_calendar_events
Create a record in integration-calendar-events.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- titlestring
- descriptionoptionalstring?
- startTimeoptionalstring?
- endTimeoptionalstring?
- startDateoptionalstring?
- endDateoptionalstring?
- isAllDayoptionalboolean
- locationoptionalstring?
- sourcestring
- externalIdstring
- connectionIdoptionalstring?
- calendarNameoptionalstring?
- calendarColoroptionalstring?
- statusoptionalstring
- organizeroptionalstring?
- attendeesoptionalstring?
- remindersoptionalstring?
- urloptionalstring?
- aiExtractionoptionalstring?
- isDeletedoptionalboolean
- deletedAtoptionalstring?
- ecosystemIdoptionalstring
Example
{
"title": "string",
"description": "string",
"startTime": "string",
"endTime": "string",
"startDate": "string",
"endDate": "string",
"isAllDay": true,
"location": "string",
"source": "string",
"externalId": "string",
"connectionId": "string",
"calendarName": "string",
"calendarColor": "string",
"status": "string",
"organizer": "string",
"attendees": "string",
"reminders": "string",
"url": "string",
"aiExtraction": "string",
"isDeleted": true,
"deletedAt": "string",
"ecosystemId": "string"
}Responses
201
integration_calendar_events
- idstring
- titlestring
- descriptionstring?
- startTimestring?
- endTimestring?
- startDatestring?
- endDatestring?
- isAllDayboolean
- locationstring?
- sourcestring
- externalIdstring
- connectionIdstring?
- calendarNamestring?
- calendarColorstring?
- statusstring
- organizerstring?
- attendeesstring?
- remindersstring?
- urlstring?
- aiExtractionstring?
- createdAtstring
- updatedAtstring
- isDeletedboolean
- syncVersioninteger
- customerIdstring
- deletedAtstring?
- ecosystemIdstring
Example
{
"id": "string",
"title": "string",
"description": "string",
"startTime": "string",
"endTime": "string",
"startDate": "string",
"endDate": "string",
"isAllDay": true,
"location": "string",
"source": "string",
"externalId": "string",
"connectionId": "string",
"calendarName": "string",
"calendarColor": "string",
"status": "string",
"organizer": "string",
"attendees": "string",
"reminders": "string",
"url": "string",
"aiExtraction": "string",
"createdAt": "string",
"updatedAt": "string",
"isDeleted": true,
"syncVersion": 0,
"customerId": "string",
"deletedAt": "string",
"ecosystemId": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/integration/integration-calendar-events" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "string",
"description": "string",
"startTime": "string",
"endTime": "string",
"startDate": "string",
"endDate": "string",
"isAllDay": true,
"location": "string",
"source": "string",
"externalId": "string",
"connectionId": "string",
"calendarName": "string",
"calendarColor": "string",
"status": "string",
"organizer": "string",
"attendees": "string",
"reminders": "string",
"url": "string",
"aiExtraction": "string",
"isDeleted": true,
"deletedAt": "string",
"ecosystemId": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/integration/integration-calendar-events", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"title\": \"string\",\n \"description\": \"string\",\n \"startTime\": \"string\",\n \"endTime\": \"string\",\n \"startDate\": \"string\",\n \"endDate\": \"string\",\n \"isAllDay\": true,\n \"location\": \"string\",\n \"source\": \"string\",\n \"externalId\": \"string\",\n \"connectionId\": \"string\",\n \"calendarName\": \"string\",\n \"calendarColor\": \"string\",\n \"status\": \"string\",\n \"organizer\": \"string\",\n \"attendees\": \"string\",\n \"reminders\": \"string\",\n \"url\": \"string\",\n \"aiExtraction\": \"string\",\n \"isDeleted\": true,\n \"deletedAt\": \"string\",\n \"ecosystemId\": \"string\"\n}",
});
const data = await res.json();